LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
ScriptEvent Struct Referencepublished

script event that gets delivered whenever a script event takes place. More...

`import"ScriptEvent.idl";`

Inheritance diagram for ScriptEvent:

## Public Attributes
string | ScriptType
| type of the script language as string; for example, "Basic" or "StarScript". More...
string | ScriptCode
| script code as string. More...
Public Attributes inherited from AllEventObject
any | Helper
| A helper value for the implementation that can be used arbitrarily. More...
type | ListenerType
| contains the type of the original listener. More...
string | MethodName
| The original method name on which the event was fired. More...
sequence< any > | Arguments
| The arguments of the original method. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

script event that gets delivered whenever a script event takes place.

For that to happen, a "ScriptEventDescriptor" must be registered at and attached to an object by an XEventAttacherManager.

## Member Data Documentation

## ◆ ScriptCode

string ScriptCode

script code as string.

The code has to correspond with the language defined by ScriptType.

## ◆ ScriptType

string ScriptType

type of the script language as string; for example, "Basic" or "StarScript".

The documentation for this struct was generated from the following file:

- com/sun/star/script/ScriptEvent.idl